Subject: [PATCH 1/2] arm/xen: Correctly check if the event channel interrupt is present

From: [email-masked] (Julien Grall)
Date: Wed, 18 Feb 2015 11:50:35 +0000

On 18/02/2015 11:41, Julien Grall wrote:
> Hi Ian,
>
> On 18/02/2015 11:27, Ian Campbell wrote:
>> On Thu, 2015-02-12 at 06:34 +0000, Julien Grall wrote:
>>> The function irq_of_parse_and_map returns 0 when the IRQ is not found.
>>>
>>> Furthermore xen_events_irq is only read when the CPU is bring up, so
>>> it's not necessary to use the attribute __read_mostly.
>>
>> Part of the purpose of __read_mostly is to move such things out of
>> sharing cachelines with other more hot read/write things, as much as it
>> is to group all the "read only" things together.
>
> Hmmm... You are right. I didn't understand this macro like that.
>
> I will resend the series with this patch drop and add Ard's patch [1].

Actually I'm stupid... This patch is still useful except the __read_mostly.

>
> Regards,
>
> [1] https://patches.linaro.org/44633/
>

-- 
Julien Grall